mergeIntervals.numeric {R.utils} | R Documentation

## Merges intervals

### Description

Merges intervals by returning an index `vector` specifying the (first) interval that each value maps to, if any.

### Usage

    ## S3 method for class 'numeric'
    mergeIntervals(intervals, ...)

### Arguments

`intervals` | The N intervals to be merged. If an Nx2 `numeric` `matrix`, the first column should be the lower bounds and the second column the upper bounds of each interval. If a `numeric` `vector` of length 2N, each consecutive pair should be the lower and upper bounds of an interval.
`...` | Not used.

### Details

The upper and lower bounds are considered to be inclusive, that is, all intervals are interpreted to be of form [a,b]. There is currently no way to specify intervals with open bounds, e.g. (a,b].

Furthermore, the bounds are currently treated as real values. For instance, merging [0,1] and [2,3] will return the same intervals. Note, if integer intervals were treated specially, we would merge these intervals to integer interval [0,3] == {0,1,2,3}.

### Value

Returns a `matrix` (or a `vector`) of M intervals, where M <= N. The intervals are ordered by their lower bounds. The @mode of the returned intervals is the same as the mode of the input intervals.

### Author(s)

Henrik Bengtsson

### See Also

`inAnyInterval`(). `match`().

[Package R.utils version 2.6.0 Index]